手机版
你好,游客 登录 注册 搜索
背景:
阅读新闻

Canonical即将发布面向所有Ubuntu版本的Meltdown和Spectre漏洞补丁

[日期:2018-01-05] 来源:Linux公社  作者:鱼鱼 [字体: ]

Red HatSUSE之后,现在Canonical已经开始对影响数十亿硬件设备的Meltdown和Specter硬件bug做出响应。

根据Canonical公司Dustin Kirkland的说法Ubuntu安全团队在过去的两个月里一直在努力测试和集成他们称之为最复杂的修补程序之一到所有受支持的Ubuntu Linux版本所使用的内核包中,包括Ubuntu 12.04 ESM(扩展安全维护),Ubuntu 14.04 LTS,Ubuntu 16.04 LTS和Ubuntu 17.10,以保护他们免受Meltdown 和 Spectre漏洞的困扰。

“Canonical工程师一直在做这个工作,因为我们被禁止披露(2017年11月),而且已经在圣诞节和新年假期工作,测试和集成了一套非常复杂的补丁集到一系列Ubuntu内核和CPU架构,“Ubuntu产品开发副总裁Dustin Kirkland说。

这些补丁预计在下周初到达

Canonical表示,上面提到的Ubuntu Linux版本的所有用户都应该在1月9日的下周初期获得更新的内核,或者更早的时候期待更新的内核。更新仅针对64位x86体系结构(amd64),影响Ubuntu 17.10中的Linux内核4.13 HWE,Ubuntu 16.04 LTS中的Linux内核4.4(和4.4 HWE),Ubuntu 14.04 LTS中的Linux 3.13以及Ubuntu 12.04中的Linux 3.2 ESM。

这些更新还将涵盖用于Amazon Web Services(AWS),Google Compute Engine和Microsoft Azure公共云服务的云中使用的Ubuntu优化内核。 Canonical还表示,Livepatch内核将无法用于修补这些主要的安全漏洞,这需要用户重新启动计算机才能正确应用。

2018年4月26日,Canonical将发布Ubuntu 18.04 LTS(仿生海狸)操作系统,该系统将由本月晚些时候即将上市的Linux 4.15内核提供支持,该补丁是针对Meltdown和Spectre安全漏洞进行的。 Canonical应该在今天发布Ubuntu 18.04 LTS的第一个Alpha版本,但由于这些漏洞,它被放弃了。

相关:

Meltdown和Spectre两个严重的硬件错误,数十亿设备面临攻击风险  http://www.linuxidc.com/Linux/2018-01/150079.htm

Red Hat公司表示Meltdown和Spectre漏洞可能会影响性能  http://www.linuxidc.com/Linux/2018-01/150078.htm

本文永久更新链接地址http://www.linuxidc.com/Linux/2018-01/150091.htm

linux
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款